/*
Author: ƚɿoʇʇɘ ɘʜƚ ʜƚɿow ƚ'nƨɒw yllɒɘɿ ƨiʜƚ
Datum: Nov, 1st 2016
Modified: Nov, 11th 2016
Description: Css style and fix for Openstreet Maps (bauland-nw.ch)
Version: 1.0.0
*/

* {
	margin:  0px;
	padding: 0px;
	line-height: 24px;
}

div.mapsContainer {
	width: 960px;
	margin-top: 20px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 20px;
}
#pos {
	width:	100%;
	height: 360px;
	margin-left: auto;
	margin-right: auto;
}




@media (max-width: 1000px) {
	div.mapsContainer {
		width: 100%;
		padding-left: 20px;
		padding-right: 20px;
		box-sizing: border-box;
	}
	#pos {
		clear: all;
		width: 100%;
		max-height: 360px;
	}
}



@media (max-width: 760px) {
	div.mapsContainer {
		width: 100%;
		padding-left: 12px;
		padding-right: 12px;
		box-sizing: border-box;
	}
	#pos {
		width:  100%;
		max-height: 360px;
	}
}



@media (max-width: 480px) {
	div.mapsContainer {
		width: 100%;
		padding-left: 6px;
		padding-right: 6px;
		box-sizing: border-box;
	}
	#pos {
		width:  100%;
		max-height: 300px;
	}
}



@media (max-width: 320px) {
	div.mapsContainer {
		width: 100%;
		padding-left: 6px;
		padding-right: 6px;
		box-sizing: border-box;
	}
	#pos {
		width:  100%;
		max-height: 240px;
	}
}



/* Openstreet Map Cloud Fix for Copyright Text */
#OpenLayers_Control_Attribution_23 {
	margin-bottom: -60px;
}



/* Openstreet Map Cloud Fix for broken Cloud Image
 * By making images responsive with max-width: 100%;
 * css instructions on img tag, map cloud breaks */
#pos img {
	max-width:none;
	max-height:none;
}
